//
// C++ Interface: numeric
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef NUMERIC_H
#define NUMERIC_H

#include "slot.h"
#include "text.h"

/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class Numeric : virtual public TextObject
{
	public:
                DECLARE_SLOT(Numeric, increment_value);
		DECLARE_SLOT(Numeric, decrement_value);
		DECLARE_SLOT(Numeric, add_value);
		DECLARE_SLOT(Numeric, sub_value);
		DECLARE_SLOT(Numeric, set_value);
		Numeric();

		virtual ~Numeric();
		
		virtual void draw ();
		virtual bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name );
	private:
		int _value_;
		int _value_length_;
		char _value_spec_[10];
		bool _value_changed_;
		float _xb_;
		float _yb_;
		std::string _renderer_type_;
};
extern ObjectFabric<Numeric> NumericObjectFabric;

#endif
